Jump to content


Photo

PleXBMC client for XBMC


  • Please log in to reply
2229 replies to this topic

#2201 hipnetic

hipnetic

    Member

  • Members
  • PipPip
  • 84 posts

Posted 16 April 2014 - 08:35 PM

So I'd like to install the latest and greatest versions (of XBMC and PleXBMC) and had a couple of questions to get started...

 

1) Is this the best thread to follow for the latest goings-on with this plug-in, or has a separate thread been started up?  And what about on the XBMC forums?  Is there a new thread there, or still just the old thread?

 

2) Is Gotham OK to use or is it recommended that we stick with Frodo for now?



#2202 Bubba_Nosferatu

Bubba_Nosferatu

    Member

  • Members
  • PipPip
  • 11 posts

Posted 17 April 2014 - 12:49 AM

I'm using Gotham, after disabling MediaCodec, it's VERY VERY fast.

 

Check this page for xbmc versions

http://wiki.xbmc.org...=Amazon_Fire_TV



#2203 magnesium

magnesium

    Member

  • Members
  • PipPip
  • 35 posts

Posted 17 April 2014 - 07:27 AM

So I'd like to install the latest and greatest versions (of XBMC and PleXBMC) and had a couple of questions to get started...

 

1) Is this the best thread to follow for the latest goings-on with this plug-in, or has a separate thread been started up?  And what about on the XBMC forums?  Is there a new thread there, or still just the old thread?

 

2) Is Gotham OK to use or is it recommended that we stick with Frodo for now?

 

Hi hipnetic,

 

At the moment this is the best thread for following this plugin, but this will be changing within the next day or two as wickning1 and I take over maintaining the plugin. Keep an eye on this thread until then.

 

Gotham is perfectly compatible...in fact that's (essentially) what I'm running and I have no problems.



#2204 CrystalGipsy

CrystalGipsy

    Member

  • Members
  • PipPip
  • 38 posts

Posted 17 April 2014 - 09:20 PM

Darn it, just went and updated to latest openelec beta for Gotham and my Plexbmc helper has now started to fail and I cant cast anymore. Whats the latest current version of the helper? And can I get a link to it/them please.



#2205 DFergATL

DFergATL

    Member

  • Members
  • PipPip
  • 56 posts

Posted 17 April 2014 - 11:47 PM

New to this plugin on XBMC.  I have the latest installed 3.4.5.  After installing it, I am using the Arora skin - FYI, I clicked on the plugin and got "Could not connect to remote server"  I go into Add-On Settings and have tried the auto discovery and manually entering ipaddress/port.  But I still can't connect.  I downloaded the Plex Home Theater, just to test, and they can find the server just fine.  I have even turned off the firewall, temporally, on the plex server but still can't get plexbmc to connect.



#2206 kaiguy

kaiguy

    Dedicated Member

  • Members
  • PipPipPip
  • 454 posts
  • Location: SoCal

Posted 17 April 2014 - 11:49 PM

I am also getting a script error with the Amber version of PleXBMC.


ESXi 5.5 virtualized server (Win 7 Pro guest serving latest PlexPass PMS, unRAID 5 guest serving media)

Mac Mini 2.26 GHz primary client with Plex/HT - Sony NSZ-GS7 - 2x Vizio Co-Star - Roku2 XS - Chromecast - assorted iOS


#2207 gonecrazy25

gonecrazy25

    Newbie

  • Members
  • Pip
  • 6 posts

Posted 18 April 2014 - 04:46 AM

I'm getting the same error now with the newest openelec (3.95.5) which is XBMC Gotham beta 4.  I'm getting an error on both the helper at the lattest version downloaded of git 3.1.4 with the April 9th commits and plexbmc 3.4.5.  Both the helper and plexbmc with those versions work fine on openelec 3.95.2 which has XBMC Gotham beta 2 in it.

 

With the new beta I'm seeing the following problem with the helper script even with the web server enabled:

 

22:44:50 T:140307746535168  NOTICE: ## OpenELEC Addon ## 0.3.14
22:44:50 T:140307738142464   ERROR: EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<--
                                             - NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!
                                            Error Type: <type 'exceptions.ValueError'>
                                            Error Contents: invalid literal for int() with base 10: '<webserverport default="true">80'
                                            Traceback (most recent call last):
                                              File "/storage/.xbmc/addons/script.plexbmc.helper-master/default.py", line 47, in <module>
                                                from settings import settings
                                              File "/storage/.xbmc/addons/script.plexbmc.helper-master/resources/lib/settings.py", line 33, in <module>
                                                settings['port'] = int(getGUI('webserverport'))
                                            ValueError: invalid literal for int() with base 10: '<webserverport default="true">80'
                                            -->End of Python script error report<--
 
 
And the following error with Plexbmc
 
22:45:10 T:140306422970112  NOTICE: PleXBMC -> Running with cElementTree on Python 2.5+
22:45:10 T:140306422970112  NOTICE: ===== PLEXBMC START =====
22:45:10 T:140306422970112  NOTICE: PleXBMC -> Running Python: sys.version_info(major=2, minor=7, micro=3, releaselevel='final', serial=0)
22:45:10 T:140306422970112  NOTICE: PleXBMC -> Running PleXBMC: 3.4.5
22:45:10 T:140306422970112  NOTICE: PleXBMC -> FullRes Thumbs are se to: false
22:45:10 T:140306422970112  NOTICE: PleXBMC -> CWD is set to: /storage/.xbmc/addons/plugin.video.plexbmc-amber
22:45:10 T:140306422970112  NOTICE: PleXBMC -> Platform: Linux/RPi
22:45:10 T:140306422970112  NOTICE: PleXBMC -> Debug is turned off.  Running silent
22:45:10 T:140306422970112  NOTICE: PleXBMC -> Detected parameters: {}
22:45:12 T:140306422970112   ERROR: EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<--
                                             - NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!
                                            Error Type: <type 'exceptions.TypeError'>
                                            Error Contents: 'NoneType' object has no attribute '__getitem__'
                                            Traceback (most recent call last):
                                              File "/storage/.xbmc/addons/plugin.video.plexbmc-amber/default.py", line 5221, in <module>
                                                amberskin()
                                              File "/storage/.xbmc/addons/plugin.video.plexbmc-amber/default.py", line 3980, in amberskin
                                                server_address = getMasterServer()['address']
                                            TypeError: 'NoneType' object has no attribute '__getitem__'
                                            -->End of Python script error report<--
 
I didn't get full debug for plexbmc I forgot before I rolled back to 3.4.1 which does work on the new openelec if you don't sign in to myplex.  So hoping you guys get some free time to look at it, in the mean time i might just roll back my whole openelec install.  Thanx for all of your hard work, I love being able to use plexbmc and be signed in.
 
 

 



#2208 magnesium

magnesium

    Member

  • Members
  • PipPip
  • 35 posts

Posted 18 April 2014 - 05:03 AM

MIGRATING TO NEW THREAD

 

Everyone,

 

Since wickning1 and I are starting to take care of the PleXBMC plugins, I've created a new thread to start fresh. We will also be able to keep the initial post up to date with the most recent information about the plugins.

 

Please continue conversations over at https://forums.plex....x-media-server/ . I won't be checking here for new posts anymore.



#2209 magnesium

magnesium

    Member

  • Members
  • PipPip
  • 35 posts

Posted 18 April 2014 - 05:16 AM

gonecrazy, enable "Allow Control of XBMC via HTTP" and see if that solves your problem



#2210 STRBramley

STRBramley

    Newbie

  • Members
  • Pip
  • 3 posts

Posted 28 April 2014 - 10:06 AM

My PleXBMC keeps updating to version 3.4.5 which doesn't seem to work. As soon as I try to launch it I get the script failed error. I have to keep manually deleting it and re-installing 3.4.3 from a zip file.

 

Any ideas why this would happen? I noticed Confluence updated recently but I've tried other skins and it still fails.


  • tomer1749 likes this

#2211 jdbrookes

jdbrookes

    Dedicated Member

  • Members
  • PipPipPip
  • 218 posts

Posted 28 April 2014 - 10:31 AM

My PleXBMC keeps updating to version 3.4.5 which doesn't seem to work. As soon as I try to launch it I get the script failed error. I have to keep manually deleting it and re-installing 3.4.3 from a zip file.

 

Any ideas why this would happen? I noticed Confluence updated recently but I've tried other skins and it still fails.

 

Go to your XBM Addons and disable the Repo for Plexbmc. This will stop the auto updating of the Plexbmc related apps. Check back here in a week or two when a fix is likely made so you can then enable the repo and get the latest updates again.



#2212 STRBramley

STRBramley

    Newbie

  • Members
  • Pip
  • 3 posts

Posted 28 April 2014 - 10:33 AM

Go to your XBM Addons and disable the Repo for Plexbmc. This will stop the auto updating of the Plexbmc related apps. Check back here in a week or two when a fix is likely made so you can then enable the repo and get the latest updates again.


Great thanks, I'll delete the repo tonight. Thanks again for the advice.

#2213 pecinko

pecinko

    Rock Star

  • Members
  • PipPipPipPipPip
  • 689 posts
  • Location: Prague / Belgrade

Posted 28 April 2014 - 01:42 PM

Great thanks, I'll delete the repo tonight. Thanks again for the advice.

Optionaly disable auto updates from side menu in addon browser.
My skins:
 
Quartz

#2214 STRBramley

STRBramley

    Newbie

  • Members
  • Pip
  • 3 posts

Posted 29 April 2014 - 06:32 AM

Optionaly disable auto updates from side menu in addon browser.


I couldn't find the repo So I did this instead, thanks.

#2215 JRGon

JRGon

    Newbie

  • Members
  • Pip
  • 7 posts

Posted 06 May 2014 - 12:18 AM

18:47:40 T:140562317432576 ERROR: EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<--
- NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!
Error Type: <type 'exceptions.TypeError'>
Error Contents: 'NoneType' object is not callable
Traceback (most recent call last):
File "/storage/.xbmc/addons/plugin.video.plexbmc-3.4.5/default.py", line 5306, in <module>
displaySections()
File "/storage/.xbmc/addons/plugin.video.plexbmc-3.4.5/default.py", line 1180, in displaySections
ds_servers=discoverAllServers()
File "/storage/.xbmc/addons/plugin.video.plexbmc-3.4.5/default.py", line 307, in discoverAllServers
local_server = getLocalServers(das_host, das_port)
File "/storage/.xbmc/addons/plugin.video.plexbmc-3.4.5/default.py", line 411, in getLocalServers
server=etree.fromstring(html)
File "<string>", line 123, in XML
TypeError: 'NoneType' object is not callable
-->End of Python script error report<--

#2216 amrives

amrives

    Newbie

  • Members
  • Pip
  • 1 posts

Posted 11 May 2014 - 03:03 AM

I really need a PlexBMC 2.1.1.zip file because it seems Hippo's Github is down... and 2.1.1 is the only one that works on my Apple TV 1st gen. Anyone got a file they could send me? or a mirror that is up?



#2217 hippojay

hippojay

    Rock Star

  • Members
  • PipPipPipPipPip
  • 801 posts
  • Location: Sheffield, UK

Posted 11 May 2014 - 08:00 AM

https://www.dropbox....xbmc-v2.1.1.zip
Turn XBMC into a Plex Client:
PleXBMC - Play Plex media through XBMC
PleXBMC Helper - Integrate Official/Unoffical Plex remote control apps into PleXBMC
PleXBMC Repository - Install all addons from one place
PleXBMC on the Raspberry Pi

Modded Skins:
QuartzV3/4 for PleXBMC - Integrate PleXBMC into home menus

#2218 hippojay

hippojay

    Rock Star

  • Members
  • PipPipPipPipPip
  • 801 posts
  • Location: Sheffield, UK

Posted 11 May 2014 - 08:23 AM

File "<string>", line 123, in XMLTypeError: 'NoneType' object is not callable-->End of Python script error report<--


To save someone a bit of time - this is some bizarre issue with Python. I sent many a long night trying to track this down but could not. The server is returning data, but the elementtree code seems to lose it. Not sure if it is something to do with how XBMC instant images instances of Python.

It's highly intermittent and a reboot will usually fix the problem. I can go several months without seeing this.
Turn XBMC into a Plex Client:
PleXBMC - Play Plex media through XBMC
PleXBMC Helper - Integrate Official/Unoffical Plex remote control apps into PleXBMC
PleXBMC Repository - Install all addons from one place
PleXBMC on the Raspberry Pi

Modded Skins:
QuartzV3/4 for PleXBMC - Integrate PleXBMC into home menus

#2219 xtra-ATX

xtra-ATX

    Member

  • Members
  • PipPip
  • 62 posts

Posted 13 May 2014 - 03:51 PM

I love this plugin. I do have a question and apologize if it has already been asked.

If I attempt to switch to "Go Plex" with the Amber skin, it throws out the error "script failed". This behavior happens on both my ATV2 and Gbox. Is there another skin out there that I can use to allow for the "go Plex" feature to work?

#2220 dlanor

dlanor

    Plex Star

  • Members
  • PipPipPipPipPipPip
  • 1133 posts
  • Location: Stockholm, Sweden

Posted 13 May 2014 - 04:02 PM

I love this plugin. I do have a question and apologize if it has already been asked.

If I attempt to switch to "Go Plex" with the Amber skin, it throws out the error "script failed". This behavior happens on both my ATV2 and Gbox. Is there another skin out there that I can use to allow for the "go Plex" feature to work?


Not really. 'Amber' is the only skin well adapted to modern PlexBMC standards.
But the error you get is commonly the result of using an addon that is unsuitable for your XBMC version.

For 'Frodo' releases of XBMC the latest 'Amber' skin should be v1.3.2 (differing final digit acceptable)
For 'Gotham' releases of XBMC the latest 'Amber' skin should be v1.5.8 (differing final digit acceptable)

There are also some cases where people had script errors due to cloud sync sections, which apparently require a special experimental version of PlexBMC to work correctly. (But I've no personal experience of that.)

For my own use the relevant addon versions are:

PlexBMC v3.4.3
PlexBMC Helper v3.4.1
Amber v1.3.2 (for my 'Frodo' installs)
Amber v1.5.8 (for my 'Gotham' installs)

Best regards: dlanor